/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { AHashsum32 } from './_AHashsum.js';
export declare class Lookup3 extends AHashsum32 {
    private readonly _state;
    private readonly _seed;
    private readonly _seed2;
    private readonly _b32;
    constructor(seed?: number, seed2?: number);
    protected hash(): void;
    private final;
    write(data: Uint8Array): void;
    clone(): Lookup3;
    sumIn(): Uint8Array;
    sum32pair(): [number, number];
    sum32(): number;
}
