/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { AHashsum32 } from './_AHashsum.js';
export declare class Murmur3_32 extends AHashsum32 {
    private _state;
    private readonly _seed;
    private readonly _b32;
    constructor(seed?: number);
    protected hash(): void;
    clone(): Murmur3_32;
    sumIn(): Uint8Array<ArrayBuffer>;
    sum32(): number;
}
