/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
export declare const base32: {
    fromBytes(src: Uint8Array, addPad?: boolean): string;
    toBytes(src: string, requirePad?: boolean): Uint8Array;
};
export declare const zBase32: {
    fromBytes(src: Uint8Array, addPad?: boolean): string;
    toBytes(src: string, requirePad?: boolean): Uint8Array;
};
export declare const base32hex: {
    fromBytes(src: Uint8Array, addPad?: boolean): string;
    toBytes(src: string, requirePad?: boolean): Uint8Array;
};
export declare const crockford32: {
    fromBytes(src: Uint8Array, addPad?: boolean): string;
    toBytes(src: string, requirePad?: boolean): Uint8Array;
};
