/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
export type bcd = number;
export declare function fromDense2(value: number): bcd;
export declare function toDense2Unsafe(d0: number, d1: number): number;
export declare function toDense2(d0: number, d1: number): number;
export declare function fromDense3Unsafe(value: number): bcd;
export declare function fromDense3(value: number): bcd;
export declare function toDense3Unsafe(d0: number, d1: number, d2: number): number;
export declare function toDense3(d0: number, d1: number, d2: number): number;
export declare function push2DigitsToBytes(value: number, bytes: Uint8Array, bitPos: number): number;
export declare function push3DigitsToBytes(value: number, bytes: Uint8Array, bitPos: number): number;
