/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IUucodeEncodeOpts } from './interfaces/IUucodeEncodeOpts.js';
export declare const tbl = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`";
export declare const uucode: {
    fromBytes: (bytes: Uint8Array, opts?: IUucodeEncodeOpts) => string;
    toBytes: (uuencoded: string) => Uint8Array;
};
