/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
export declare class Aes implements IBlockCrypt {
    #private;
    readonly blockSize = 16;
    constructor(key: Uint8Array);
    private _encBlock;
    private _decBlock;
    decryptBlock(block: Uint8Array, offset?: number): void;
    encryptBlock(block: Uint8Array, offset?: number): void;
}
