/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
export declare class Blowfish implements IBlockCrypt {
    #private;
    readonly blockSize = 8;
    private readonly _s0;
    private readonly _s1;
    private readonly _s2;
    private readonly _s3;
    constructor(key: Uint8Array);
    private _f;
    private _encBlock;
    private _decBlock;
    private init;
    decryptBlock(block: Uint8Array, offset?: number): void;
    encryptBlock(block: Uint8Array, offset?: number): void;
}
