/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { FromBinResult } from '../primitive/FromBinResult.js';
export declare class ColName {
    readonly name: string;
    private readonly _bytes;
    private constructor();
    toJSON(): string;
    toBin(): Uint8Array;
    static fromStr(name: string): ColName;
    static fromUtf8Bytes(utf8bytes: Uint8Array): ColName;
    static fromBin(bin: Uint8Array, pos?: number): FromBinResult<ColName>;
}
