/*! Copyright 2024 the gnablib contributors MPL-1.1 */
export declare class ContentError extends SyntaxError {
    readonly reason: string;
    readonly key: string;
    readonly value: unknown;
    constructor(reason: string);
    constructor(reason: string, value: unknown);
    constructor(reason: string, key: string, value: unknown);
    get name(): string;
    get [Symbol.toStringTag](): string;
}
