/*! Copyright 2024 the gnablib contributors MPL-1.1 */
export declare class LengthError extends RangeError {
    readonly need: number;
    readonly available: number;
    readonly key: string;
    constructor(need: number, available: number);
    constructor(need: number, name: string, available: number);
    constructor(need: number, name: string, available: number, eq?: string);
    static atMost(need: number, name: string, available: number): LengthError;
    static mulOf(need: number, name: string, available: number): LengthError;
    static oneOf(need: number[], name: string, value: number): LengthError;
    get name(): string;
    get [Symbol.toStringTag](): string;
}
