import { IProblem } from './interfaces/IProblem.js';
declare const consoleDebugSymbol: unique symbol;
export declare class TypeProblem implements IProblem {
    readonly noun: string;
    private readonly _beforeExpect;
    private readonly _expect;
    private readonly _afterExpect;
    private readonly _got;
    protected constructor(noun: string, _beforeExpect: string, _expect: string, _afterExpect?: string, _got?: string);
    toString(): string;
    inColor(): string;
    get name(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static UnexpVal(noun: string, value: unknown, expect: string): TypeProblem;
    static Null(noun: string): TypeProblem;
}
export {};
