/*! Copyright 2023 the gnablib contributors MPL-1.1 */
export declare class BinResult {
    readonly value: unknown;
    readonly byteLen: number;
    constructor(byteLen: number, value: unknown);
}
export declare class FromBinResult<T> {
    readonly value?: T;
    readonly byteLen: number;
    readonly reason?: string;
    constructor(bytes: number, value?: T, reason?: string);
    get success(): boolean;
    switchT<U>(): FromBinResult<U>;
}
