/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import { WindowOrString } from "./WindowStr.js";
export declare class Urn {
    readonly nid: string;
    readonly nss: string;
    readonly rComponent: string | undefined;
    readonly qComponent: string | undefined;
    readonly fragment: string | undefined;
    constructor(nid: string, nss: string, rComponent?: string, qComponent?: string, fragment?: string);
    get formal(): boolean;
    static parse(s: WindowOrString): Urn | undefined;
    private static validNid;
}
