/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { BitWriter } from '../BitWriter.js';
import { ByteWriter } from '../ByteWriter.js';
export interface ISerialBit {
    get serialBits(): number;
    serial(bw: BitWriter): void;
}
export interface ISerialByte {
    get serialBytes(): number;
    serial(bw: ByteWriter): void;
}
