/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IWriter } from '../interfaces/IWriter.js';
export declare class U16 {
    static readonly size8 = 2;
    static lRot(i16: number, by: number): number;
    static rRot(i16: number, by: number): number;
    static fromBytesLE(src: Uint8Array, pos?: number): number;
    static fromBytesBE(src: Uint8Array, pos?: number): number;
    static intoBytesLE(src: number, target: IWriter): void;
    static intoBytesBE(src: number, target: IWriter): void;
    static ctEq(a16: number, b16: number): boolean;
    static ctLte(a16: number, b16: number): boolean;
    static ctGte(a16: number, b16: number): boolean;
    static ctGt(a16: number, b16: number): boolean;
    static ctLt(a16: number, b16: number): boolean;
    static ctSelect(a16: number, b16: number, first: boolean): number;
}
