/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
export declare function toGlBytes(input: Uint8Array): Uint8Array;
export declare function ctEq(a: Uint8Array, b: Uint8Array): boolean;
export declare function ctSelect(a: Uint8Array, b: Uint8Array, first: boolean): Uint8Array<ArrayBuffer>;
export declare function incrBE(u: Uint8Array): void;
export declare function lShiftEq(u: Uint8Array, by: number): void;
export declare function xorEq(a: Uint8Array, b: Uint8Array): void;
