/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { U64 } from '../primitive/number/U64.js';
import { AHashsum64 } from './_AHashsum64.js';
export declare class XxHash64 extends AHashsum64 {
    private readonly _state;
    private readonly _b64;
    private readonly _seed;
    constructor(seed?: U64);
    protected hash(): void;
    clone(): XxHash64;
    sumIn(): Uint8Array;
}
