/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IChecksum } from './interfaces/IChecksum.js';
export declare class Crc24 implements IChecksum {
    private _crc;
    readonly size = 3;
    write(data: Uint8Array): void;
    sum24(): number;
    sum(): Uint8Array<ArrayBuffer>;
}
