/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IChecksum } from './interfaces/IChecksum.js';
export declare class Fletcher16 implements IChecksum {
    private _modSpace;
    private _c0;
    private _c1;
    readonly size = 2;
    private mod;
    write(data: Uint8Array): void;
    sum16(): number;
    sum(): Uint8Array<ArrayBuffer>;
}
export declare class Fletcher32 implements IChecksum {
    private _modSpace;
    private _c0;
    private _c1;
    readonly size = 4;
    private mod;
    write(data: Uint8Array): void;
    sum32(): number;
    sum(): Uint8Array<ArrayBuffer>;
}
