/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from "../interfaces/IBlockCrypt.js";
import { IFullCrypt } from "../interfaces/IFullCrypt.js";
import { IPad } from "../interfaces/IPad.js";
export declare class Ecb implements IFullCrypt {
    private readonly _crypt;
    private readonly _pad;
    constructor(crypt: IBlockCrypt, pad: IPad);
    get blockSize(): number;
    decryptInto(plain: Uint8Array, enc: Uint8Array): void;
    encryptInto(enc: Uint8Array, plain: Uint8Array): void;
    encryptSize(plainLen: number): number;
}
