/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import type { IHash } from '../interfaces/IHash.js';
export declare class Whirlpool implements IHash {
    #private;
    readonly size: number;
    readonly blockSize: number;
    private readonly _ingestBytes;
    private _bPos;
    constructor();
    private hash;
    write(data: Uint8Array): void;
    sum(): Uint8Array;
    sumIn(): Uint8Array;
    reset(): void;
    newEmpty(): IHash;
    clone(): Whirlpool;
}
