/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import { IFullCrypt } from "./IFullCrypt.js";
export interface IAeadCrypt extends IFullCrypt {
    get tagSize(): number;
    writeAD(data: Uint8Array): void;
    finalize(): Uint8Array;
    verify(tag: Uint8Array): boolean;
}
