/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import { IWriter } from "../../primitive/interfaces/IWriter.js";
export interface IHash extends IWriter {
    sum(): Uint8Array;
    sumIn(): Uint8Array;
    reset(): void;
    newEmpty(): IHash;
    clone(): IHash;
    get size(): number;
    get blockSize(): number;
}
