/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import type { IHash } from '../interfaces/IHash.js';
export declare function pbkdf2(hash: IHash, password: Uint8Array | string, salt: Uint8Array | string, count: number, keySize: number): Uint8Array;
export declare function pbkdf2_hmac_sha1(password: Uint8Array | string, salt: Uint8Array | string, count: number, keySize: number): Uint8Array;
export declare function pbkdf2_hmac_sha256(password: Uint8Array | string, salt: Uint8Array | string, count: number, keySize: number): Uint8Array;
export declare function pbkdf2_hmac_sha512(password: Uint8Array | string, salt: Uint8Array | string, count: number, keySize: number): Uint8Array;
