/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import type { IHash } from '../interfaces/IHash.js';
export declare class Hmac implements IHash {
    private _oHash;
    private _startIHash;
    private _iHash;
    constructor(hash: IHash, key: Uint8Array);
    write(data: Uint8Array): void;
    sum(size?: number | undefined): Uint8Array;
    sumIn(size?: number | undefined): Uint8Array;
    reset(): void;
    newEmpty(): IHash;
    clone(): Hmac;
    get size(): number;
    get blockSize(): number;
}
