/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { IFullCrypt } from '../interfaces/IFullCrypt.js';
export declare class Rabbit implements IFullCrypt {
    #private;
    readonly blockSize = 16;
    private _counterCarryBit;
    constructor(key: Uint8Array, iv?: Uint8Array);
    private block;
    encryptInto(enc: Uint8Array, plain: Uint8Array): void;
    decryptInto(plain: Uint8Array, enc: Uint8Array): void;
    encryptSize(plainLen: number): number;
}
