/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
export declare class Twofish implements IBlockCrypt {
    #private;
    readonly blockSize = 16;
    private readonly _s0;
    private readonly _s1;
    private readonly _s2;
    private readonly _s3;
    constructor(key: Uint8Array);
    private _decBlock;
    private _encBlock;
    decryptBlock(block: Uint8Array, offset?: number): void;
    encryptBlock(block: Uint8Array, offset?: number): void;
}
