/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { FromBinResult } from '../../primitive/FromBinResult.js';
export declare class Plane {
    readonly char: string;
    readonly human: string;
    private constructor();
    get isCtrl(): boolean;
    toBin(): Uint8Array;
    static get Control(): Plane;
    static get Data(): Plane;
    static fromBin(bin: Uint8Array, pos?: number): FromBinResult<Plane>;
}
