/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
export declare class NotEnoughSpaceError extends RangeError {
    readonly noun: string;
    readonly need: number;
    readonly available: number;
    constructor(noun: string, need: number, available: number);
    get name(): string;
    get [Symbol.toStringTag](): string;
}
