/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { AByteReader } from './_AByteReader.js';
declare const consoleDebugSymbol: unique symbol;
export declare class BitReader extends AByteReader {
    private _bitPtr;
    get unreadBits(): number;
    readNumberBE(bits: number): number;
    skipBits(count: number): void;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static mount(buff: Uint8Array): BitReader;
}
export {};
