/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Arc4 extends APrng32<Uint8Array> {
    private _i;
    private _j;
    readonly bitGen = 8;
    readonly safeBits = 8;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    private ksa;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Arc4;
    static seed(key: Uint8Array, saveable?: boolean): Arc4;
    static restore(state: Uint8Array, saveable?: boolean): Arc4;
}
