/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { U64, U64MutArray } from '../primitive/number/U64.js';
import { APrng64 } from './APrng64.js';
export declare class Sfc64 extends APrng64<U64MutArray> {
    readonly bitGen = 64;
    readonly safeBits = 64;
    rawNext(): U64;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Sfc64;
    static seed(seed0: U64, seed1?: U64, seed2?: U64, saveable?: boolean): Sfc64;
    static restore(state: Uint8Array, saveable?: boolean): Sfc64;
}
