/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { U64, U64Mut } from '../primitive/number/U64.js';
import { APrng64 } from './APrng64.js';
export declare class SplitMix64 extends APrng64<U64Mut> {
    readonly bitGen = 64;
    readonly safeBits = 64;
    rawNext(): U64;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): SplitMix64;
    static seed(seed: U64, saveable?: boolean): SplitMix64;
    static restore(state: Uint8Array, saveable?: boolean): SplitMix64;
}
